# DetachSendDiscount

> Unlink a discount code from an email or SMS send. Write access, marketing toolset, MCP tool detach_send_discount.

**Access:** [Write](https://developer.missin.co.uk/get-started/authentication.md#access-levels)

## Variables

| Variable | Type | Required | Accepts | Description |
|---|---|---|---|---|
| `linkId` | `UUID!` | yes |  |  |

## Call it

```bash curl
curl https://api.missin.co.uk/graphql/v1 \
  -H "Authorization: Bearer $MISSIN_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"operationName":"DetachSendDiscount","variables":{"linkId":"00000000-0000-0000-0000-000000000000"},"extensions":{"persistedQuery":{"version":1,"sha256Hash":"01ae161960cfd07d1347ec60867ef03b7eb39571ac7a382bdae135aed2c4f04a"}}}'
```

## Document

```graphql
mutation DetachSendDiscount($linkId: UUID!) { __typename detachSendDiscount(input: {linkId: $linkId}) { __typename detached userErrors { __typename code field message } } }
```

Source: https://developer.missin.co.uk/reference/marketing/detach-send-discount
